Package org.gradle.tooling.model.eclipse

# Interface ClasspathAttribute

public interface ClasspathAttribute
Optional description associated with Eclipse classpath entries.

Since:
  2.14
See Also:
  - IClassAttribute Javadoc

- ## Method Summary

  Modifier and Type
  Method
  Description
  `String`
  `getName()`
  Returns the key of this attribute.
  `String`
  `getValue()`
  Returns the value of this attribute.

- ## Method Details

  - ### getName

    String getName()
    Returns the key of this attribute.
    Returns:
      The key of this attribute.

  - ### getValue

    String getValue()
    Returns the value of this attribute.
    Returns:
      The value of this classpath attribute.